
Ruby - Bug #5872

Memoery issue

01/10/2012 05:09 AM - marek.jelen (Marek Jelen)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3p0 (2011-10-30 revision

33570) [x86_64-linux]

Backport:  

Description

I am getting this error:

/usr/local/rvm/gems/ruby-1.9.3-p0/gems/amq-protocol-0.8.4/lib/amq/protocol/frame.rb:83: [BUG] rb_gc_mark(): unknown data type

0x0(0x7f3ef9855218) non object

ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-linux]

The crash log may be found at:

https://github.com/ruby-amqp/amq-protocol/issues/20

ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-linux] is not affected or at least is not crashing like 1.9.3p0

Associated revisions

Revision 203801566a186b7b1cbe899a06d0832923a1bdf9 - 07/11/2022 06:10 AM - k0kubun (Takashi Kokubun)

Fix #5872 for MJIT GitHub Actions

If you run tests with RUN_OPTS=--mjit, the test fixes in

https://github.com/ruby/ruby/pull/5872 don't work.

Revision 203801566a186b7b1cbe899a06d0832923a1bdf9 - 07/11/2022 06:10 AM - k0kubun (Takashi Kokubun)

Fix #5872 for MJIT GitHub Actions

If you run tests with RUN_OPTS=--mjit, the test fixes in

https://github.com/ruby/ruby/pull/5872 don't work.

Revision 20380156 - 07/11/2022 06:10 AM - k0kubun (Takashi Kokubun)

Fix #5872 for MJIT GitHub Actions

If you run tests with RUN_OPTS=--mjit, the test fixes in

https://github.com/ruby/ruby/pull/5872 don't work.

History

#1 - 01/10/2012 12:00 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

(12/01/10 5:09), Marek Jelen wrote:

The crash log may be found at:

https://github.com/ruby-amqp/amq-protocol/issues/20

 As you were suggested there, what extension libraries are you using?

#2 - 10/31/2012 02:03 AM - mame (Yusuke Endoh)

- Status changed from Feedback to Rejected

I'm closing this ticket because it is too clueless.

Please reopen if you can provide additional information.
--

Yusuke Endoh mame@tsg.ne.jp
